import { Injector } from '@angular/core';
import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
import { DependentValidator, DependentValidatorBuilderFactory, DependentValidatorFactory } from 'ngx-reactive-form/declarations';
import { FormUtils } from './form-utils';
export declare class ExtendedFormBuilderResult<T extends FormGroup | FormArray> {
    protected readonly injector: Injector;
    private factory;
    protected readonly fb: FormBuilder;
    private validators;
    private _formUtils;
    readonly form: T;
    get formUtils(): FormUtils<T>;
    constructor(injector: Injector, factory: (fb: FormBuilder, dp: (builderFn: DependentValidatorBuilderFactory<T>) => DependentValidator) => T);
    updateValidators(): void;
}
export declare class ExtendedFormBuilder {
    protected readonly injector: Injector;
    constructor(injector: Injector);
    build<T extends FormGroup | FormArray>(factory: (fb: FormBuilder, dependentValidatorFactory: DependentValidatorFactory<T>) => T): ExtendedFormBuilderResult<T>;
}
